This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 52644 - poweroff problem with very fat disks
poweroff problem with very fat disks
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-27 12:43 EDT by Andreas J. Bathe
Modified: 2014-03-16 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 15:45:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas J. Bathe 2001-08-27 12:43:18 EDT
SysVinit-2.78-17, halt script in /etc/rc.d/init.d

I just built a backup server with five 100 GBytes-IDE-disks and realized
that after a poweroff command every new boot forces all big disks to check
the entire filesystem which needs a lot of time to do so.

So I increased the sleep in line 155 from 2 to ten seconds and now the
disks are clean again. Please increase that value so that servers with very
big disks don't suffer from a forced filesystem check.

take care
Andreas
Comment 1 Andreas J. Bathe 2001-08-27 13:36:07 EDT
sorry, component is initscripts-5.83-1, not SysVinit
and further inverstigation showed that doubling the 2 secs to 4 is enough
Comment 2 Bill Nottingham 2005-02-22 15:45:11 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please reopen if it persists on current releases.

This is probably a kernel problem; it needs to offline the filesystems cleanly.

Note You need to log in before you can comment on or make changes to this bug.